var $AdfDhtmlInputListOfValuesBasePeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlInputListOfValuesSuperBasePeer$$, "AdfDhtmlInputListOfValuesBasePeer");
$goog$exportSymbol$$("AdfDhtmlInputListOfValuesBasePeer", $AdfDhtmlInputListOfValuesBasePeer$$);
$AdfDhtmlInputListOfValuesBasePeer$$.$InitSubclass$ = function $$AdfDhtmlInputListOfValuesBasePeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$)
};
$goog$exportSymbol$$("AdfDhtmlInputListOfValuesBasePeer.InitSubclass", $AdfDhtmlInputListOfValuesBasePeer$$.$InitSubclass$);
$AdfDhtmlInputListOfValuesBasePeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlInputListOfValuesBasePeer$$$$$HandleComponentClick$$($componentEvent$$449$$) {
  $AdfDhtmlInputListOfValuesBasePeer$$.$superclass$.$HandleComponentClick$.call(this, $componentEvent$$449$$);
  $componentEvent$$449$$.$isLeftButtonPressed$() && this.$HandleComponentClickOrTouch$($componentEvent$$449$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputListOfValuesBasePeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlInputListOfValuesBasePeer$$.prototype.$HandleComponentClick$});
